When you upgrade to vCenter Server 4.1, make sure that the upgraded version supports your database.

vCenter Server Upgrade Scenarios for Each Database Type lists the database types that you can use with VirtualCenter 2.5 and with vCenter Server. This is not a list of supported database versions. For a list of supported database versions, see the vSphere Compatibility Matrixes on the VMware vSphere documentation Web site. The purpose of vCenter Server Upgrade Scenarios for Each Database Type is to describe the vCenter Server upgrade scenarios for each database type.

vCenter Server Upgrade Scenarios for Each Database Type

Database Type

Supported in VirtualCenter 2.x

Supported in vCenter Server 4.0

Supported in vCenter Server 4.0 Update 1

Supported in vCenter Server 4.1 Update 1

Supported Scenario

IBM DB2

No

No

Yes

Yes

You can install or upgrade to vCenter Server 4.1 from vCenter Server 4.0 Update 1.

You cannot upgrade from vCenter Server 4.0 because vCenter Server 4.0 Update 1 is the first release that supports IBM DB2 database servers.

Experimental MSDE database

Yes (VirtualCenter 2.0.x)

No

No

No

After you upgrade to a database server that is supported by vCenter Server, you can install or upgrade to vCenter Server.

Microsoft SQL Server 2000

Yes

No

No

No

After you upgrade to a database server that is supported by vCenter Server, you can install or upgrade to vCenter Server.

Microsoft SQL Server 2005 Express

Yes

Yes

Yes

Yes

You can install or upgrade to vCenter Server.

Microsoft SQL Server 2005

Yes

Yes

Yes

Yes

You can install or upgrade to vCenter Server.

Microsoft SQL Server 2008 Express

No

No

No

Yes

You can install or upgrade to vCenter Server.

Microsoft SQL Server 2008

No

Yes

Yes

Yes

You can install or upgrade to vCenter Server.

Oracle 9i

Yes

No

No

No

After you upgrade to a database server that is supported by vCenter Server, you can install or upgrade to vCenter Server.

Oracle 10g

Yes

Yes

Yes

Yes

You can install or upgrade to vCenter Server.

Oracle 11g

No

Yes

Yes

Yes

You can install or upgrade to vCenter Server.

If you perform a fresh installation of vCenter Server 4.1, you can then import your database information into a database that is supported by vCenter Server 4.1. For information about performing a fresh installation, see the ESX and vCenter Server Installation Guide or the ESXi and vCenter Server Setup Guide. For information about importing your database, see Upgrade to vCenter Server on a Different Machine and Upgrade the Existing Database.